#
# spec file for package ncpfs (Version 2.2.0.18)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ncpfs
Copyright:    1995 by Volker Lendecke
Group:        Networking/Utilities
Autoreqprov:  on
Version:      2.2.0.18
Release:      119
Summary:      Tools for accessing Novell filesystems
Source: ftp://platan.vc.cvut.cz/pub/linux/ncpfs/ncpfs-2.2.0.18/ncpfs-2.2.0.18.tgz
Patch: ncpfs-2.2.0.18.dif
Buildroot:	/var/tmp/buildroot-ncpfs

%description
You can mount Netware-server filesystems under Linux using this little
tool. You can even print Linux documents on printers attached to the
Novell server.

Authors:
--------
    Volker Lendecke <lendecke@namu01.gwdg.de>

SuSE series: n

%package devel
Summary:      Tools for accessing Novell filesystems
Group:   Networking/Utilities

%description devel
This package contains the libs and header files to link against libncp.
You can mount Netware-server filesystems under Linux using this little
tool. You can even print Linux documents on printers attached to the
Novell server.

Authors:
--------
    Volker Lendecke <lendecke@namu01.gwdg.de>

SuSE series: n

%prep
%setup -n ncpfs-2.2.0.18
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=/usr \
	--enable-pam \
	--enable-warnings \
%ifarch ia64
	--mandir=\${prefix}/share/man \
	--disable-function-sections
%else
	--mandir=\${prefix}/share/man
%endif
make

%install
export RPM_BUILD_ROOT
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/src/packages/BUILD/ncpfs-2.2.0.18/lib"
mkdir -p $RPM_BUILD_ROOT/lib/security
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
make \
prefix=$RPM_BUILD_ROOT/usr \
sbindir=$RPM_BUILD_ROOT/sbin \
LIB_PAM_SECURITY=$RPM_BUILD_ROOT/lib/security \
install install-dev
# make pam docs available
mv contrib/pam/README contrib/pam/README.pam
# set correct mount.ncp
#cd $RPM_BUILD_ROOT/sbin
#rm mount.ncp
#ln -sf ../usr/bin/ncpmount mount.ncp
# set more libncp links
cd $RPM_BUILD_ROOT/usr/lib
ln -sf libncp.so.2.3.0 libncp.so
ln -sf libncp.so.2.3.0 libncp.so.2

%clean
find $RPM_BUILD_ROOT|sed "s#$RPM_BUILD_ROOT##"|sort > /tmp/install_file.txt
rpm -qpl /usr/src/packages/RPMS/*/*.*.rpm|sort > /tmp/rpm_file.txt
( diff /tmp/install_file.txt /tmp/rpm_file.txt > /tmp/file_diff.txt ; true )
cat /tmp/file_diff.txt
#rm -rf $RPM_BUILD_ROOT

%files -n ncpfs
%doc BUGS Changes COPYING FAQ README ncpfs*.lsm
%doc contrib/pam/README.pam
/sbin/*
/usr/bin/*
/usr/lib/libncp.so.*
/lib/security/pam_ncp_auth.so
%doc /usr/share/man/man?/*
/usr/share/locale/*/LC_MESSAGES/ncpfs.mo

%files devel
/usr/include/ncp
/usr/lib/libncp.a
/usr/lib/libncp.so

%changelog -n ncpfs
* Fri Aug 24 2001 - olh@suse.de
- fix typo in specfile which includes the Buildroot in search path
  slist was affected
* Wed Jan 24 2001 - sf@suse.de
- removed '-ffunction-sections -fdata-sections' for IA64
- removed all implicit declarations
* Tue Dec 12 2000 - olh@suse.de
- really fixed the mandir
* Tue Dec 12 2000 - ro@suse.de
- specfile fixed for mandir
* Tue Dec 12 2000 - ro@suse.de
- filelist fix
* Mon Dec 11 2000 - olh@suse.de
- update to 2.2.0.18
* Sun Nov 26 2000 - kukuk@suse.de
- fix spec file
* Fri Nov 24 2000 - olh@suse.de
- create -devel package, fix group tag
* Sun Jan 30 2000 - olh@suse.de
- update to version 2.2.0.16
  /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu May 20 1999 - ro@suse.de
- simply define NR_OPEN if not defined by libc
* Mon Mar 01 1999 - ro@suse.de
- ncpmount: for glibc-2.1 include linux/limits instead of sys/params
  to get NR_OPEN
* Tue Nov 24 1998 - ro@suse.de
- cleanup
* Tue Nov 24 1998 - ro@suse.de
- added .so link (in /usr/lib)
* Tue Sep 22 1998 - ro@suse.de
- update to 2.2.0
- changed ifdef __GLIBC__ in include/kernel/types.h to if 0
* Tue Jun 03 1997 - vl@suse.de
  new version 2.0.10
* Thu Jan 02 1997 - bs@suse.de
  new version 2.0.6
